%define pkgver %(echo %version | tr _ -)
Name:          hddtemp
Version:       0.4.3
Release:       1mamba
Summary:       A small utility that gives you the temperature of your hard drive
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/vitlav/hddtemp
Source:        https://github.com/vitlav/hddtemp.git/v%{version}/hddtemp-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
hddtemp is a small utility that gives you the temperature of your hard drive by reading S.M.A.R.T. informations (for drives that support this feature).
Note: only recent hard drives have a temperature sensor. 

%debug_package

%prep
%setup -q
./autogen.sh
gettextize -f

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m 0644 data/hddtemp.db %{buildroot}%{_datadir}/misc/hddtemp.db
install -D -m 0644 system/hddtemp.service %{buildroot}%{_unitdir}/hddtemp.service
install -D -m 0644 system/hddtemp.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/hddtemp

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun hddtemp
:

%post
%systemd_post hddtemp
:

%postun
%systemd_postun_with_restart hddtemp
:

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/hddtemp
%{_sbindir}/hddtemp
%{_unitdir}/hddtemp.service
%{_datadir}/misc/hddtemp.db
%{_mandir}/man8/hddtemp.8*
%doc COPYING
#ChangeLog LICENSE README TODO

%changelog
* Tue May 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Mon Jul 29 2013 Automatic Build System <autodist@mambasoft.it> 0.3_beta15-1mamba
- update to 0.3_beta15

* Tue Apr 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-2mamba
- specfile updated and rebuilt
- hddtemp.db file updated

* Mon Aug 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> beta15-1qilnx
- package created by autospec
